initVariables();
/////////////////////////////////////////////
function funcionGo(ctx, width, height) {
  if (lInit) {
    txClocalUp = "IAMETRIA: pro/sup. Mantenga la esfera roja centrada";
    txClocalDown = "";
    jsreinitProcedure();
    jsinitTimer(1);
    lDisplayFingers = false;
    diameter = hVideo;
    centerX = windowWidth / 2;
    centerY = windowHeight / 2;
    if (!deviceAndroid) {
    }
    else {
      if (deviceOrientation == "landscape") {
        diameter = hVideo / 4;
      }
      else {
        if (deviceOrientation == "portrait") {
          diameter = hVideo / 4;
        }
      }
    }
    fill(255);
  }
  //displaymodulo(0);
  drawGonio(1, centerX, centerY)
  let pV1 = createVector(0, 0, 0);
  let pV2 = createVector(0, 0, 0);
  pV1.x = (pCfbr5.x + pCfbr6.x) / 2
  pV1.y = (pCfbr5.y + pCfbr6.y) / 2
  pV2.x = (pCfbr17.x + pCfbr18.x) / 2
  pV2.y = (pCfbr17.y + pCfbr18.y) / 2
  //drawGonio(1, pV2)
  //fill(255, 0, 0, 128);
  //ellipse(pCW1.x, pCW1.y, 50, 50);
  //ellipse(pCW2.x, pCW2.y, 50, 50);
  push();
  translate(width / 2, height / 2); // Centrar el origen al centro del lienzo
  stroke(255, 255, 0, 128);
  strokeWeight(50);
  //line(pV2.x, pV2.y, pV1.x, pV1.y);
  line(0, 0, pV1.x - width / 2, pV1.y - height / 2);
  pop()
  pCW1.x = -width;
  pCW1.y = -width;
  pCW2.x = -width;
  pCW2.x = -width;
  textSize(12);
}

//////////////////////////////////////////////
